Subject: Re: [Enum] Sufficient information in NAPTRs, MSG, and VOVI

From: "Stastny Richard" <[email-masked]>
Date: Mon, 07 Mar 2005 15:22:55 -0500

>Does that help?

Yes, thanks, you asserted my opinion ;-)

Rich, does it help?

Richard

________________________________

Von: Michael Mealling [mailto:michael at refactored-networks.com]
Gesendet: Mo 07.03.2005 17:07
An: Stastny Richard; enum-bounces at ietf.org; Richard Shockey; lconroy; enum at ietf.org
Betreff: Re: [Enum] Sufficient information in NAPTRs, MSG, and VOVI

Fax:tel and tel:fax are different since the rhs is defined by the lhs. The difference I would attach is that the 'tel' part of 'fax:tel' suggests that it is a restricted definition of telephony (I.e. a profile) that is specific to how faxing works. For example it might define that litle beep some faxes send during what seems like a voice call to see if another fax might be evesdropping.

Does that help?

-..

-----Original Message-----
From: "Stastny Richard" <Richard.Stastny at oefeg.at>
Date: Mon, 7 Mar 2005 16:55:37
To:"Richard Shockey" <richard at shockey.us>,       "lconroy" <lconroy at insensate.co.uk>, enum at ietf.org
Subject: Re: [Enum] Sufficient information in NAPTRs, MSG, and VOVI

>Now that is exactly my point ..what IYHO is the difference between the
>semantics of the two.

>Operationally if someone sees tel:fax vs fax:tel should they reject the
>record... are the two functionally the same ...should they be functionally
>the same?

Question 1 to Patrik and MM as editors of RFC3761:

Is is syntatical possible for two enumservices foo:bar and bar:foo to be semantically
the same?

IMHO not, because the idea of types, subtypes and subsubtypes is meaningless, each type would
stand on its own and could be combined randomly by dice (we would not need the +)

Question 2:

if not, they cannot be functionally the same, so the question arises
What is the difference between fax:tel and tel:fax
Please elaborate

Also please elaborate what you want to achieve with this discussion

Richard

________________________________

Von: Richard Shockey [mailto:richard at shockey.us]
Gesendet: Mo 07.03.2005 16:39
An: Stastny Richard; lconroy; enum at ietf.org
Betreff: Re: AW: [Enum] Sufficient information in NAPTRs, MSG, and VOVI

A
>I do not want to discuss
> >tel:voice
>here

Oh why not ?  :-)

what is clear is that we need

1. generic tel: registration and the issues raised by the vovi draft

2. yes we need something like a voice:tel

3 yes we need something like video:tel

>
>but if you want to define
>
> >tel:fax
> >tel:sms
> >tel:mms
>
>then plese submit a draft explaining the difference to
>
>fax:tel
>sms:tel
>mms:tel
>

Now that is exactly my point ..what IYHO is the difference between the
semantics of the two.

Operationally if someone sees tel:fax vs fax:tel should they reject the
record... are the two functionally the same ...should they be functionally
the same?

Richard Shockey, Senior Manager, Strategic Technology Initiatives
NeuStar Inc.
46000 Center Oak Plaza  -   Sterling, VA  20166
sip:rshockey(at)iptel.org   sip:57141 at fwd.pulver.com
ENUM +87810-13313-31331
PSTN Office +1 571.434.5651 PSTN Mobile: +1 703.593.2683,  Fax: +1 815.333.1237
<mailto:richard(at)shockey.us> or <mailto:richard.shockey(at)neustar.biz>
<http://www.neustar.biz> ; <http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

This was sent from my blackberry so please forgive the terse nature of the response.

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum